Subject: Re: bug#25964: 26.0.50; byte-recompile-directory saving unrelated buffer

From: [email-masked]
Date: Sat, 20 May 2017 18:29:00 -0400

severity 25964 minor
tags 25340 fixed
close 25340 26.1
quit

[email-masked] writes:
>
> Andreas Politz <[email-masked]> writes:
>
>> I think it is somewhat annoying when I install a Lisp package and it
>> asks me whether I want to save a completely unrelated buffer in some
>> other project.  This is especially true, if this unrelated buffer has a
>> function like check-parens on its after-save-hook, which may signal an
>> error, and in turn will abort the whole package installation.
>>
>> The buffer saving happens in byte-recompile-directory via
>> save-some-buffer. So I wonder, if this can be made more selective, like
>> so:
>
> There is a similar patch in #25340, although it makes the behaviour
> optional.

It seems #25340 is stalled, so I've pushed your patch instead [1: f151eb0141].

[1: f151eb0141]: 2017-05-20 18:28:23 -0400
  Don't save unrelated buffers before recompiling directory (Bug#25964)
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=f151eb01418b80d102c767566e93ac332a8bf7c3